Bug 1409947 - Enable SSL/TLS with a self-signed certificate in horizon
Summary: Enable SSL/TLS with a self-signed certificate in horizon
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 9.0 (Mitaka)
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Dan Macpherson
QA Contact: RHOS Documentation Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-04 01:13 UTC by James Biao
Modified: 2019-04-17 16:42 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-15 04:37:59 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description James Biao 2017-01-04 01:13:20 UTC
Description of problem:

KCS https://access.redhat.com/solutions/2839251 is a step by step guide for enabling SSL/TLS with a self-signed certificate in horizon. This is not documented in any of the current documentations.It would be beneficial for customer to view it in the product documentation.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Charelle Collett 2017-02-22 06:25:05 UTC
Hi Dan,

Can you please see if there is any extra information in this article that can be added to the director steps?

https://access.redhat.com/solutions/2839251

https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/10/html-single/director_installation_and_usage/#appe-SSLTLS_Certificate_Configuration

Thanks

Comment 2 Dan Macpherson 2017-02-22 06:33:14 UTC
Thanks, Charelle.

@James -- We've got SSL/TLS in the Overcloud here:

https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/10/html/advanced_overcloud_customization/sect-enabling_ssltls_on_the_overcloud

Basically, this should cover the certificate generation and configuration via the director.

This is the supported method, but I'm always willing to expand on it. I'll review the kbase article to see if there's anything we should add to the doc, but just wanted to check with you: was there anything in the article you specifically were hoping to have included in the guide?

Comment 3 Dan Macpherson 2017-03-01 04:31:34 UTC
I had a review of the article and I don't think there's much to add to the documentation. It pretty much covers the same content, with the difference being that the overcloud config in the article is manual where as in the documentation is it director-based.

Checking with the article's author. @Andreas -- Is there anything from your article that might be missing from the docs?

Comment 4 Dan Macpherson 2017-05-15 04:37:59 UTC
No response in over 2 months. Closing this BZ but feel free to reopen if further changes are required.


Note You need to log in before you can comment on or make changes to this bug.